summaryrefslogtreecommitdiff
path: root/helpers/lh_binary_win32-loader
diff options
context:
space:
mode:
Diffstat (limited to 'helpers/lh_binary_win32-loader')
-rwxr-xr-xhelpers/lh_binary_win32-loader56
1 files changed, 56 insertions, 0 deletions
diff --git a/helpers/lh_binary_win32-loader b/helpers/lh_binary_win32-loader
new file mode 100755
index 0000000..c9f8910
--- /dev/null
+++ b/helpers/lh_binary_win32-loader
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+# lh_binary_win32-loader(1) - copy win32-loader into binary
+# Copyright (C) 2006-2009 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+. "${LH_BASE:-/usr/share/live-helper}"/functions.sh
+
+# Setting static variables
+DESCRIPTION="$(Echo 'copy win32-loader into binary')"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffiles config/all config/common config/bootstrap config/chroot config/binary config/source
+Set_defaults
+
+Echo_message "Begin copying win32-loader..."
+
+# Requiring stage file
+Require_stagefile .stage/config .stage/bootstrap
+
+# Checking stage file
+Check_stagefile .stage/binary_win32-loader
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+# Copying win32-loader
+if [ "${LH_WIN32_LOADER}" = "enabled" ]
+then
+ case "${LH_ARCHITECTURE}" in
+ amd64|i386)
+ if Find_files /usr/lib/win32-loader/*
+ then
+ cp /usr/lib/win32-loader/* binary
+ else
+ Echo_warning "win32-loader inclusion is enabled but not found, ignoring."
+ fi
+ ;;
+ esac
+fi
+
+# Creating stage file
+Create_stagefile .stage/binary_win32-loader